Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_SCTP_SEQ_Base_Connector Class Reference

`#include <SCTP_SEQ.h>`

Inheritance diagram for TAO_AV_SCTP_SEQ_Base_Connector:

[legend]
Collaboration diagram for TAO_AV_SCTP_SEQ_Base_Connector:

[legend]
List of all members.

## Public Methods

int | connector_open (TAO_AV_SCTP_SEQ_Connector *connector, ACE_Reactor *reactor)
int | connector_connect (TAO_AV_SCTP_SEQ_Flow_Handler *&handler, const ACE_Multihomed_INET_Addr &remote_addr, const ACE_Multihomed_INET_Addr &local_addr)
virtual int | make_svc_handler (TAO_AV_SCTP_SEQ_Flow_Handler *&handler)

## Protected Attributes

TAO_AV_SCTP_SEQ_Connector * | connector_
ACE_Reactor * | reactor_

## Member Function Documentation

int TAO_AV_SCTP_SEQ_Base_Connector::connector_connect | ( | TAO_AV_SCTP_SEQ_Flow_Handler *& | handler,
|  | const ACE_Multihomed_INET_Addr & | remote_addr,
|  | const ACE_Multihomed_INET_Addr & | local_addr
| ) |

int TAO_AV_SCTP_SEQ_Base_Connector::connector_open | ( | TAO_AV_SCTP_SEQ_Connector * | connector,
|  | ACE_Reactor * | reactor
| ) |

int TAO_AV_SCTP_SEQ_Base_Connector::make_svc_handler | ( | TAO_AV_SCTP_SEQ_Flow_Handler *& | handler | ) | `[virtual]`

| Reimplemented from ACE_Connector< TAO_AV_SCTP_SEQ_Flow_Handler, ACE_SOCK_SEQPACK_CONNECTOR >.

## Member Data Documentation

TAO_AV_SCTP_SEQ_Connector* TAO_AV_SCTP_SEQ_Base_Connector::connector_`[protected]`

| Reimplemented from ACE_Connector< TAO_AV_SCTP_SEQ_Flow_Handler, ACE_SOCK_SEQPACK_CONNECTOR >.

ACE_Reactor* TAO_AV_SCTP_SEQ_Base_Connector::reactor_`[protected]`

| Reimplemented from ACE_Connector< TAO_AV_SCTP_SEQ_Flow_Handler, ACE_SOCK_SEQPACK_CONNECTOR >.

The documentation for this class was generated from the following files:

- SCTP_SEQ.h
- SCTP_SEQ.cpp